org.springframework.data.relational.repository.query

## Interface RelationalEntityInformation<T,ID>

All Superinterfaces:
  EntityInformation<T,ID>, EntityMetadata<T>

All Known Implementing Classes:
  MappingRelationalEntityInformation

    public interface RelationalEntityInformation<T,ID>
    extends EntityInformation<T,ID>

Relational database-specific `EntityInformation`.

Author:
  Mark Paluch

### Method Summary

All Methods Instance Methods Abstract Methods
`SqlIdentifier` `getTableName()` Returns the name of the table the entity shall be persisted to.

### Methods inherited from interface org.springframework.data.repository.core.EntityInformation

`getId, getIdType, getRequiredId, isNew`

### Methods inherited from interface org.springframework.data.repository.core.EntityMetadata

`getJavaType`

### Method Detail

#### getTableName

    SqlIdentifier getTableName()

Returns the name of the table the entity shall be persisted to.

Returns: